Summary: creates PKZIP(tm)-compatible .zip files
Name: zip
%define version 2.2
Version: %{version}
Release: 1a
Copyright: distributable
Group: Utilities/Archiving
Source: ftp.uu.net:/pub/archiving/zip/zip-%{version}.tar.gz
%define prefix /usr
Prefix: %{prefix}
BuildRoot: /tmp/zip-root

%changelog

* Thu Oct 22 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>

- updated to version 2.2
- use BuildRoot

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
zip is a compression and file packaging utility for Unix, VMS, MSDOS,
OS/2, Windows NT, Minix, Atari and Macintosh.  It is analogous to a
combination of the UNIX commands tar(1) and compress(1) and is
compatible with PKZIP (Phil Katz's ZIP for MSDOS systems).
 
%prep 
%setup
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man1

%build
cd unix
mv Makefile Makefile.orig
sed -e 's;-O;\$(RPM_OPT_FLAGS);g' Makefile.orig > Makefile
cd ..
make -f unix/Makefile prefix=%{prefix} "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" generic_gcc

%install
make -f unix/Makefile prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/{zipnote,zipsplit,zip,zipcloak}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS CHANGES INSTALL MANUAL README TODO WHATSNEW WHERE
%{prefix}/bin/zipnote
%{prefix}/bin/zipsplit
%{prefix}/bin/zip
%{prefix}/bin/zipcloak
%{prefix}/man/man1/zip.1

